## r-cran-irace 3.1

=== DESCRIPTION ===
Package: irace
Type: Package
Title: Iterated Racing for Automatic Algorithm Configuration
Description: Iterated race is an extension of the Iterated F-race method for
             the automatic configuration of optimization algorithms, that is,
             (offline) tuning their parameters by finding the most appropriate
             settings given a set of instances of an optimization problem.
Version: 3.1
Authors@R: c(person("Manuel", "López-Ibáñez", role = c("aut", "cre"),
                              email = "manuel.lopez-ibanez@manchester.ac.uk",
                              comment = c(ORCID = "0000-0001-9974-1295")),
             person("Jérémie", "Dubois-Lacoste", role = "aut"),
             person("Leslie", "Pérez Cáceres", role = c("aut")),
             person("Thomas", "Stützle", role = "aut"),
             person("Mauro", "Birattari", role = "aut"),
             person("Eric", "Yuan", role = "ctb"),
             person("Prasanna", "Balaprakash", role = "ctb"))
Depends: R (>= 2.15.0)
Imports: stats, utils, compiler
Suggests: Rmpi (>= 0.6.0), parallel, knitr, testthat
VignetteBuilder: knitr
License: GPL (>= 2)
URL: http://iridia.ulb.ac.be/irace
ByteCompile: yes
LazyData: yes
Encoding: UTF-8
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-07-12 15:16:33 UTC; manu
Author: Manuel López-Ibáñez [aut, cre]
    (<https://orcid.org/0000-0001-9974-1295>),
  Jérémie Dubois-Lacoste [aut],
  Leslie Pérez Cáceres [aut],
  Thomas Stützle [aut],
  Mauro Birattari [aut],
  Eric Yuan [ctb],
  Prasanna Balaprakash [ctb]
Maintainer: Manuel López-Ibáñez <manuel.lopez-ibanez@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2018-07-12 15:50:03 UTC

=== debian/changelog ===
r-cran-irace (3.1-1) unstable; urgency=medium

  * Initial release (closes: #910514)

 -- Andreas Tille <tille@debian.org>  Sun, 07 Oct 2018 16:50:12 +0200

=== debian/control ===
Source: r-cran-irace
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-irace
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-irace.git
Homepage: https://cran.r-project.org/package=irace

Package: r-cran-irace
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends},
            python
Suggests: ${R:Suggests}
Description: GNU R iterated racing for automatic algorithm configuration
 Iterated race is an extension of the Iterated F-race method for
 the automatic configuration of optimization algorithms, that is,
 (offline) tuning their parameters by finding the most appropriate
 settings given a set of instances of an optimization problem.

## r-cran-irace 3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -5,7 +5,7 @@
              the automatic configuration of optimization algorithms, that is,
              (offline) tuning their parameters by finding the most appropriate
              settings given a set of instances of an optimization problem.
-Version: 3.1
+Version: 3.3
 Authors@R: c(person("Manuel", "López-Ibáñez", role = c("aut", "cre"),
                               email = "manuel.lopez-ibanez@manchester.ac.uk",
                               comment = c(ORCID = "0000-0001-9974-1295")),
@@ -15,18 +15,18 @@
              person("Mauro", "Birattari", role = "aut"),
              person("Eric", "Yuan", role = "ctb"),
              person("Prasanna", "Balaprakash", role = "ctb"))
-Depends: R (>= 2.15.0)
+Depends: R (>= 3.2.0)
 Imports: stats, utils, compiler
-Suggests: Rmpi (>= 0.6.0), parallel, knitr, testthat
+Suggests: Rmpi (>= 0.6.0), parallel, knitr, testthat, withr, mlr
 VignetteBuilder: knitr
 License: GPL (>= 2)
 URL: http://iridia.ulb.ac.be/irace
 ByteCompile: yes
 LazyData: yes
 Encoding: UTF-8
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2018-07-12 15:16:33 UTC; manu
+Packaged: 2019-04-26 17:10:34 UTC; manu
 Author: Manuel López-Ibáñez [aut, cre]
     (<https://orcid.org/0000-0001-9974-1295>),
   Jérémie Dubois-Lacoste [aut],
@@ -37,4 +37,4 @@
   Prasanna Balaprakash [ctb]
 Maintainer: Manuel López-Ibáñez <manuel.lopez-ibanez@manchester.ac.uk>
 Repository: CRAN
-Date/Publication: 2018-07-12 15:50:03 UTC
+Date/Publication: 2019-04-26 22:50:49 UTC

=== debian/changelog ===
r-cran-irace (3.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Declare Python3 interpreter in example scripts
  * Recommends: python3 to enable running provided examples

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jul 2019 12:10:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-irace
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-irace.git
 Homepage: https://cran.r-project.org/package=irace
@@ -17,7 +17,7 @@
 Depends: ${R:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends},
-            python
+            python3
 Suggests: ${R:Suggests}
 Description: GNU R iterated racing for automatic algorithm configuration
  Iterated race is an extension of the Iterated F-race method for

## r-cran-irace 3.4.1

=== DESCRIPTION ===
Package: irace
Type: Package
Title: Iterated Racing for Automatic Algorithm Configuration
Description: Iterated race is an extension of the Iterated F-race method for
             the automatic configuration of optimization algorithms, that is,
             (offline) tuning their parameters by finding the most appropriate
             settings given a set of instances of an optimization problem.
             M. López-Ibáñez, J. Dubois-Lacoste, L. Pérez Cáceres, T. Stützle,
             and M. Birattari (2016) <doi:10.1016/j.orp.2016.09.002>.
Version: 3.4.1
Authors@R: c(person("Manuel", "López-Ibáñez", role = c("aut", "cre"),
                              email = "manuel.lopez-ibanez@manchester.ac.uk",
                              comment = c(ORCID = "0000-0001-9974-1295")),
             person("Jérémie", "Dubois-Lacoste", role = "aut"),
             person("Leslie", "Pérez Cáceres", role = "aut"),
             person("Thomas", "Stützle", role = "aut"),
             person("Mauro", "Birattari", role = "aut"),
             person("Eric", "Yuan", role = "ctb"),
             person("Prasanna", "Balaprakash", role = "ctb"),
             person("Nguyen", "Dang", role = "ctb", email = "nttd@st-andrews.ac.uk"))
Depends: R (>= 3.2.0)
Imports: stats, utils, compiler, R6
Suggests: Rmpi (>= 0.6.0), parallel, knitr, testthat, withr, mlr (>=
        2.15.0), ParamHelpers, devtools
VignetteBuilder: knitr
License: GPL (>= 2)
URL: http://iridia.ulb.ac.be/irace,
        https://github.com/MLopez-Ibanez/irace
BugReports: https://github.com/MLopez-Ibanez/irace/issues
ByteCompile: yes
LazyData: yes
Encoding: UTF-8
RoxygenNote: 6.1.1
SystemRequirements: GNU make
NeedsCompilation: yes
Packaged: 2020-03-31 08:07:18 UTC; manu
Author: Manuel López-Ibáñez [aut, cre]
    (<https://orcid.org/0000-0001-9974-1295>),
  Jérémie Dubois-Lacoste [aut],
  Leslie Pérez Cáceres [aut],
  Thomas Stützle [aut],
  Mauro Birattari [aut],
  Eric Yuan [ctb],
  Prasanna Balaprakash [ctb],
  Nguyen Dang [ctb]
Maintainer: Manuel López-Ibáñez <manuel.lopez-ibanez@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2020-03-31 13:40:03 UTC

=== debian/changelog ===
r-cran-irace (3.4.1-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:14:47 +0000

r-cran-irace (3.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Switch arch to any

 -- Dylan Aïssi <daissi@debian.org>  Sat, 04 Apr 2020 09:16:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,20 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
-               r-base-dev
-Standards-Version: 4.4.0
+               r-base-dev,
+               r-cran-r6
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-irace
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-irace.git
 Homepage: https://cran.r-project.org/package=irace
+Rules-Requires-Root: no
 
 Package: r-cran-irace
-Architecture: all
+Architecture: any
 Depends: ${R:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends},
             python3

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name "*.bat" -delete
	find debian -name windows -type d | xargs rm -rf

override_dh_fixperms:
	dh_fixperms
	find debian -name target-runner-pbs -exec chmod +x \{\} \;

## r-cran-irace 3.5

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
              settings given a set of instances of an optimization problem.
              M. López-Ibáñez, J. Dubois-Lacoste, L. Pérez Cáceres, T. Stützle,
              and M. Birattari (2016) <doi:10.1016/j.orp.2016.09.002>.
-Version: 3.4.1
+Version: 3.5
 Authors@R: c(person("Manuel", "López-Ibáñez", role = c("aut", "cre"),
                               email = "manuel.lopez-ibanez@manchester.ac.uk",
                               comment = c(ORCID = "0000-0001-9974-1295")),
@@ -21,19 +21,18 @@
 Depends: R (>= 3.2.0)
 Imports: stats, utils, compiler, R6
 Suggests: Rmpi (>= 0.6.0), parallel, knitr, testthat, withr, mlr (>=
-        2.15.0), ParamHelpers, devtools
+        2.15.0), ParamHelpers, devtools, covr
 VignetteBuilder: knitr
 License: GPL (>= 2)
-URL: http://iridia.ulb.ac.be/irace,
+URL: https://mlopez-ibanez.github.io/irace/,
         https://github.com/MLopez-Ibanez/irace
 BugReports: https://github.com/MLopez-Ibanez/irace/issues
 ByteCompile: yes
-LazyData: yes
 Encoding: UTF-8
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 SystemRequirements: GNU make
 NeedsCompilation: yes
-Packaged: 2020-03-31 08:07:18 UTC; manu
+Packaged: 2022-10-23 13:44:18 UTC; manu
 Author: Manuel López-Ibáñez [aut, cre]
     (<https://orcid.org/0000-0001-9974-1295>),
   Jérémie Dubois-Lacoste [aut],
@@ -45,4 +44,4 @@
   Nguyen Dang [ctb]
 Maintainer: Manuel López-Ibáñez <manuel.lopez-ibanez@manchester.ac.uk>
 Repository: CRAN
-Date/Publication: 2020-03-31 13:40:03 UTC
+Date/Publication: 2022-10-23 14:55:06 UTC

=== debian/changelog ===
r-cran-irace (3.5-2) unstable; urgency=medium

  * Disable reprotest
  * Fix clean target
    Closes: #1046141
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2023 12:48:04 +0200

r-cran-irace (3.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2022 09:47:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-irace
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-irace
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-irace.git
+Homepage: https://cran.r-project.org/package=irace
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-r6
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-irace
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-irace.git
-Homepage: https://cran.r-project.org/package=irace
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-irace
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-rmpi (>= 0.6.0),
        r-cran-knitr,
        r-cran-testthat,
        r-cran-withr,
        r-cran-mlr (>= 2.15.0),
        r-cran-paramhelpers,
        r-cran-devtools,
        r-cran-covr
Restrictions: allow-stderr

## r-cran-irace 4.1

=== debian/changelog ===
r-cran-irace (4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Build-depend on r-cran-spacefillr

 -- Charles Plessy <plessy@debian.org>  Fri, 31 Jan 2025 15:15:27 +0900

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,17 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-irace
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-irace.git
 Homepage: https://cran.r-project.org/package=irace
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-r6
+               r-cran-fs,
+               r-cran-data.table (>= 1.15.0),
+               r-cran-matrixstats,
+               r-cran-r6,
+               r-cran-spacefillr,
+               r-cran-withr
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-irace

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-paramhelpers,
        r-cran-rmpi (>= 0.6.0),
        r-cran-highr,
        r-cran-knitr,
        r-cran-testthat (>= 3.1.8)
Restrictions: allow-stderr

## r-cran-irace 4.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
              settings given a set of instances of an optimization problem.
              M. López-Ibáñez, J. Dubois-Lacoste, L. Pérez Cáceres, T. Stützle,
              and M. Birattari (2016) <doi:10.1016/j.orp.2016.09.002>.
-Version: 3.5
+Version: 4.2.0
 Authors@R: c(person("Manuel", "López-Ibáñez", role = c("aut", "cre"),
                               email = "manuel.lopez-ibanez@manchester.ac.uk",
                               comment = c(ORCID = "0000-0001-9974-1295")),
@@ -18,10 +18,10 @@
              person("Eric", "Yuan", role = "ctb"),
              person("Prasanna", "Balaprakash", role = "ctb"),
              person("Nguyen", "Dang", role = "ctb", email = "nttd@st-andrews.ac.uk"))
-Depends: R (>= 3.2.0)
-Imports: stats, utils, compiler, R6
-Suggests: Rmpi (>= 0.6.0), parallel, knitr, testthat, withr, mlr (>=
-        2.15.0), ParamHelpers, devtools, covr
+Depends: R (>= 4.0.0)
+Imports: R6, codetools, compiler, data.table (>= 1.15.0), fs,
+        matrixStats (>= 1.4.1), spacefillr, stats, utils, withr
+Suggests: Rmpi (>= 0.6.0), highr, knitr, parallel, testthat (>= 3.1.8)
 VignetteBuilder: knitr
 License: GPL (>= 2)
 URL: https://mlopez-ibanez.github.io/irace/,
@@ -29,10 +29,11 @@
 BugReports: https://github.com/MLopez-Ibanez/irace/issues
 ByteCompile: yes
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.3.2
 SystemRequirements: GNU make
+Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2022-10-23 13:44:18 UTC; manu
+Packaged: 2025-02-10 17:00:56 UTC; manu
 Author: Manuel López-Ibáñez [aut, cre]
     (<https://orcid.org/0000-0001-9974-1295>),
   Jérémie Dubois-Lacoste [aut],
@@ -44,4 +45,4 @@
   Nguyen Dang [ctb]
 Maintainer: Manuel López-Ibáñez <manuel.lopez-ibanez@manchester.ac.uk>
 Repository: CRAN
-Date/Publication: 2022-10-23 14:55:06 UTC
+Date/Publication: 2025-02-12 16:40:02 UTC

=== debian/changelog ===
r-cran-irace (4.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 17 Feb 2025 11:50:14 +0900

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-r6,
+               r-cran-codetools,
+               r-cran-data.table (>= 1.15.0),
                r-cran-fs,
-               r-cran-data.table (>= 1.15.0),
-               r-cran-matrixstats,
-               r-cran-r6,
+               r-cran-matrixstats (>= 1.4.1),
                r-cran-spacefillr,
                r-cran-withr
 Testsuite: autopkgtest-pkg-r

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-rmpi (>= 0.6.0),
        r-cran-highr,
        r-cran-knitr,
        r-cran-testthat (>= 3.1.8)
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/irace_([-\d.]*)\.tar\.gz

## r-cran-irace 4.3

=== debian/changelog ===
r-cran-irace (4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 26 Dec 2025 11:35:46 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,9 @@
 Source: r-cran-irace
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-irace
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-irace.git
-Homepage: https://cran.r-project.org/package=irace
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -17,8 +13,14 @@
                r-cran-fs,
                r-cran-matrixstats (>= 1.4.1),
                r-cran-spacefillr,
-               r-cran-withr
-Testsuite: autopkgtest-pkg-r
+               r-cran-withr,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-irace
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-irace.git
+Homepage: https://cran.r-project.org/package=irace
+Rules-Requires-Root: no
 
 Package: r-cran-irace
 Architecture: any

## r-cran-irace 4.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
              settings given a set of instances of an optimization problem.
              M. López-Ibáñez, J. Dubois-Lacoste, L. Pérez Cáceres, T. Stützle,
              and M. Birattari (2016) <doi:10.1016/j.orp.2016.09.002>.
-Version: 4.2.0
+Version: 4.4.0
 Authors@R: c(person("Manuel", "López-Ibáñez", role = c("aut", "cre"),
                               email = "manuel.lopez-ibanez@manchester.ac.uk",
                               comment = c(ORCID = "0000-0001-9974-1295")),
@@ -33,9 +33,9 @@
 SystemRequirements: GNU make
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2025-02-10 17:00:56 UTC; manu
-Author: Manuel López-Ibáñez [aut, cre]
-    (<https://orcid.org/0000-0001-9974-1295>),
+Packaged: 2026-02-01 12:00:39 UTC; manu
+Author: Manuel López-Ibáñez [aut, cre] (ORCID:
+    <https://orcid.org/0000-0001-9974-1295>),
   Jérémie Dubois-Lacoste [aut],
   Leslie Pérez Cáceres [aut],
   Thomas Stützle [aut],
@@ -45,4 +45,4 @@
   Nguyen Dang [ctb]
 Maintainer: Manuel López-Ibáñez <manuel.lopez-ibanez@manchester.ac.uk>
 Repository: CRAN
-Date/Publication: 2025-02-12 16:40:02 UTC
+Date/Publication: 2026-02-02 06:30:44 UTC

=== debian/changelog ===
r-cran-irace (4.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Tue, 10 Feb 2026 13:37:12 +0900

=== debian/control ===
Source: r-cran-irace
Section: gnu-r
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-irace
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-irace.git
Homepage: https://cran.r-project.org/package=irace
Standards-Version: 4.7.3
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-r6,
 r-cran-codetools,
 r-cran-data.table (>= 1.15.0),
 r-cran-fs,
 r-cran-matrixstats (>= 1.4.1),
 r-cran-spacefillr,
 r-cran-withr,
 architecture-is-64-bit,
 architecture-is-little-endian,
Testsuite: autopkgtest-pkg-r

Package: r-cran-irace
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
 python3,
Suggests:
 ${R:Suggests},
Description: GNU R iterated racing for automatic algorithm configuration
 Iterated race is an extension of the Iterated F-race method for
 the automatic configuration of optimization algorithms, that is,
 (offline) tuning their parameters by finding the most appropriate
 settings given a set of instances of an optimization problem.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-rmpi (>= 0.6.0),
 r-cran-highr,
 r-cran-knitr,
 r-cran-testthat (>= 3.1.8),
